## ros-melodic-pilz-robot-programming 0.4.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pilz_robot_programming)

find_package(catkin REQUIRED COMPONENTS roslint rospy)

if(CATKIN_ENABLE_TESTING AND ENABLE_COVERAGE_TESTING)
  find_package(code_coverage REQUIRED)
  APPEND_COVERAGE_COMPILER_FLAGS()
endif()

catkin_package()

#############
## Install ##
#############

catkin_python_setup()

catkin_install_python(PROGRAMS
   examples/demo_program.py
   examples/demo_gripper_program.py
   examples/demo_brake_test_program.py
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)

  find_package(rostest REQUIRED)

  include_directories(
    ${catkin_INCLUDE_DIRS}
  )

  # integration test files
  file(GLOB integrationtest_files "test/integrationtests/*.test")
  file(GLOB integrationtest_scripts "test/integrationtests/*.py")

  if(ENABLE_COVERAGE_TESTING)
    foreach(file ${integrationtest_files})
      add_rostest(${file} ARGS coverage:=True)
    endforeach()
  else()
    foreach(file ${integrationtest_files})
      add_rostest(${file})
    endforeach()
  endif()

  roslint_python(
    src/${PROJECT_NAME}/__init__.py
    src/${PROJECT_NAME}/robot.py
    src/${PROJECT_NAME}/commands.py
    src/${PROJECT_NAME}/exceptions.py
    src/${PROJECT_NAME}/move_control_request.py
    ${integrationtest_scripts}
  )
  roslint_add_test()

  # to run: catkin_make -DENABLE_COVERAGE_TESTING=ON package_name_coverage
  # Import errors may arise when packages are installed in the non-standard path /usr/lib/python2.7/dist-packages
  # This problem can be avoided by including the path in the PYTHONPATH environment variable
  if(ENABLE_COVERAGE_TESTING)
      set(COVERAGE_EXCLUDES "*/${PROJECT_NAME}/test/*") #comma-sparated list of ignored patterns
      add_code_coverage(
          NAME ${PROJECT_NAME}_coverage
          )
  endif(ENABLE_COVERAGE_TESTING)
endif()

=== debian/changelog ===
ros-melodic-pilz-robot-programming (0.4.12-1stretch) stretch; urgency=high

  * Adapt to generalized test-utils
  * Add missing test-depend on prbt_hardware_support
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 23 Nov 2020 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.11-1stretch) stretch; urgency=high

  * Add Attribute based equivalence for commands.
  * Add feature to store points.
  * Add PoseStamped and tuple goals.
  * Add get_current_pose_stamped to robot api
  * Replace tf by tf2 in pilz_robot_programming.
  * Rename _BaseCmd -> BaseCmd.
  * Remove outdated add_python_coverage() function.
  * Remove outdated/superfluous documents.
  * Remove static version from doc.
  * Remove unused import of prbt_hardware_support.
  * Fix acceptance tests.
  * Fix segfault on shutdown.
  * Fix python 3 compatibility issues.
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 15 Jul 2020 22:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.10-1stretch) stretch; urgency=high

  * Adapt to new brake test srv definitions in pilz_msgs
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.9-1stretch) stretch; urgency=high

  * Import speed override srv from pilz_msgs
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.8-1stretch) stretch; urgency=high

  * Drop unused variables in python api (#162)
  * Override speed of motions
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.7-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.6-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Sep 2019 22:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.5-1stretch) stretch; urgency=high

  * fix PEP issues
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 02 Sep 2019 22:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.4-1stretch) stretch; urgency=high

  * Add python api methods for brake tests

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 18 Jun 2019 22:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.3-1stretch) stretch; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Sun, 07 Apr 2019 22:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.2-1stretch) stretch; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 12 Mar 2019 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.1-1stretch) stretch; urgency=high

  * Minor fixes
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.0-1stretch) stretch; urgency=high

  * Release Python-API from kinetic version 0.3.1

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 17 Dec 2018 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.3.5-1stretch) stretch; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 05 Feb 2019 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.3.4-1stretch) stretch; urgency=high

  * enable Robot instantiation after a program got killed; add corresponding test
  * apply renaming command_planner -> pilz_command_planner
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 04 Feb 2019 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.3.1-1stretch) stretch; urgency=high

  * Add RobotMotionObserver in testutils
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Sun, 16 Dec 2018 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.3.0-1stretch) stretch; urgency=high

  * Release Python-API
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 27 Nov 2018 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-pilz-robot-programming
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), python-coverage, python-docopt, python-mock, ros-melodic-catkin, ros-melodic-code-coverage, ros-melodic-pilz-industrial-motion-testutils, ros-melodic-prbt-hardware-support, ros-melodic-prbt-moveit-config, ros-melodic-prbt-pg70-support, ros-melodic-roslint, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-rosunit
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-pilz-robot-programming
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-psutil, ros-melodic-moveit-commander, ros-melodic-pilz-msgs, ros-melodic-pilz-trajectory-generation, ros-melodic-rospy, ros-melodic-tf-conversions, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Description: An Easy to use API to execute standard industrial robot commands like Ptp, Lin, Circ and Sequence using Moveit.

## ros-melodic-pilz-robot-programming 0.4.14

=== debian/changelog ===
ros-melodic-pilz-robot-programming (0.4.14-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 21 Jul 2021 22:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.13-1bionic) bionic; urgency=high

  * Merge our trajectory_generation as moveit planner
    * update all references to the planner
    * move sequence related pilz msgs to moveit
    * change blend radius in test data to not cause blend radius to large error
  * Prevent misunderstandings in acceptance-tests
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 11 Jul 2021 22:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.12-1bionic) bionic; urgency=high

  * Adapt to generalized test-utils
  * Add missing test-depend on prbt_hardware_support
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 23 Nov 2020 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.11-1bionic) bionic; urgency=high

  * Add Attribute based equivalence for commands.
  * Add feature to store points.
  * Add PoseStamped and tuple goals.
  * Add get_current_pose_stamped to robot api
  * Replace tf by tf2 in pilz_robot_programming.
  * Rename _BaseCmd -> BaseCmd.
  * Remove outdated add_python_coverage() function.
  * Remove outdated/superfluous documents.
  * Remove static version from doc.
  * Remove unused import of prbt_hardware_support.
  * Fix acceptance tests.
  * Fix segfault on shutdown.
  * Fix python 3 compatibility issues.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 15 Jul 2020 22:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.10-1bionic) bionic; urgency=high

  * Adapt to new brake test srv definitions in pilz_msgs
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.9-1bionic) bionic; urgency=high

  * Import speed override srv from pilz_msgs
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.8-1bionic) bionic; urgency=high

  * Drop unused variables in python api (#162)
  * Override speed of motions
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.7-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.6-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Sep 2019 22:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.5-1bionic) bionic; urgency=high

  * fix PEP issues
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 02 Sep 2019 22:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.4-1bionic) bionic; urgency=high

  * Add python api methods for brake tests

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 18 Jun 2019 22:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.3-1bionic) bionic; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Sun, 07 Apr 2019 22:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.2-1bionic) bionic; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 12 Mar 2019 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.1-1bionic) bionic; urgency=high

  * Minor fixes
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.4.0-1bionic) bionic; urgency=high

  * Release Python-API from kinetic version 0.3.1

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 17 Dec 2018 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.3.5-1bionic) bionic; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 05 Feb 2019 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.3.4-1bionic) bionic; urgency=high

  * enable Robot instantiation after a program got killed; add corresponding test
  * apply renaming command_planner -> pilz_command_planner
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 04 Feb 2019 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.3.1-1bionic) bionic; urgency=high

  * Add RobotMotionObserver in testutils
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Sun, 16 Dec 2018 23:00:00 -0000

ros-melodic-pilz-robot-programming (0.3.0-1bionic) bionic; urgency=high

  * Release Python-API
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 27 Nov 2018 23:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-melodic-pilz-robot-programming
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-psutil, ros-melodic-moveit-commander, ros-melodic-pilz-msgs, ros-melodic-pilz-trajectory-generation, ros-melodic-rospy, ros-melodic-tf-conversions, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
+Depends: ${shlibs:Depends}, ${misc:Depends}, python-psutil, ros-melodic-moveit-commander, ros-melodic-pilz-industrial-motion-planner, ros-melodic-pilz-msgs, ros-melodic-rospy, ros-melodic-tf-conversions, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
 Description: An Easy to use API to execute standard industrial robot commands like Ptp, Lin, Circ and Sequence using Moveit.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pilz-robot-programming//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
